<?php
/**
 * Customizer fields for header search settings.
 *
 * @package Eronex
 * @since   0.0.1
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

use Kirki\Field\Color;
use Kirki\Field\Dimension;
use Kirki\Field\Dimensions;
use Kirki\Field\Radio_Buttonset;
use Kirki\Field\Text;
use Kirki\Pro\Field\Divider;
use Kirki\Pro\Field\HeadlineToggle;

new HeadlineToggle(
	array(
		'label'    => esc_html__( 'Show Search', 'eronex' ),
		'settings' => 'eronex_header_search_enable',
		'section'  => 'eronex_header_search',
		'default'  => false,
	)
);

new Divider(
	array(
		'settings' => 'eronex_header_search_toggle_size_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	),
);

new Dimension(
	array(
		'label'      => esc_html__( 'Icon Size', 'eronex' ),
		'settings'   => 'eronex_header_search_toggle_size',
		'section'    => 'eronex_header_search',
		'transport'  => 'auto',
		'responsive' => true,
		'default'    => array(
			'desktop' => '',
			'tablet'  => '',
			'mobile'  => '',
		),
		'output'     => array(
			array(
				'element'     => '.eronex-header-search .search-form .search-submit i',
				'property'    => 'font-size',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
		),
	)
);

new Divider(
	array(
		'settings' => 'eronex_header_search_toggle_bg_size_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	),
);

new Dimension(
	array(
		'label'      => esc_html__( 'Background Size', 'eronex' ),
		'settings'   => 'eronex_header_search_toggle_bg_size',
		'section'    => 'eronex_header_search',
		'transport'  => 'auto',
		'responsive' => true,
		'default'    => array(
			'desktop' => '',
			'tablet'  => '',
			'mobile'  => '',
		),
		'output'     => array(
			array(
				'element'     => '.eronex-header-search .search-form .search-submit',
				'property'    => 'height',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
			array(
				'element'     => '.eronex-header-search .search-form .search-submit',
				'property'    => 'width',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
		),
	)
);

new Divider(
	array(
		'settings' => 'eronex_search_toggle_colors_tab_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	)
);

new Radio_Buttonset(
	array(
		'label'     => esc_html__( 'Toggle Colors', 'eronex' ),
		'settings'  => 'eronex_search_toggle_colors_tab',
		'section'   => 'eronex_header_search',
		'default'   => 'normal',
		'transport' => 'auto',
		'choices'   => array(
			'normal' => esc_html__( 'Normal', 'eronex' ),
			'hover'  => esc_html__( 'Hover', 'eronex' ),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Icon Color', 'eronex' ),
		'settings'  => 'eronex_search_toggle_color',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form .search-submit i',
				'property' => 'color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Background Color', 'eronex' ),
		'settings'  => 'eronex_search_toggle_bg',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form .search-submit',
				'property' => 'background-color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Border Color', 'eronex' ),
		'settings'  => 'eronex_search_toggle_border_color',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form .search-submit',
				'property' => 'border-color',
			),
		),
	)
);

new Color(
	array(
		'label'           => esc_html__( 'Sticky Color', 'eronex' ),
		'settings'        => 'eronex_sticky_search_toggle_color',
		'section'         => 'eronex_header_search',
		'default'         => '',
		'transport'       => 'auto',
		'choices'         => array(
			'alpha' => true,
		),
		'output'          => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form .search-submit i',
				'property' => 'color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'           => esc_html__( 'Sticky Background', 'eronex' ),
		'settings'        => 'eronex_sticky_search_toggle_bg',
		'section'         => 'eronex_header_search',
		'default'         => '',
		'transport'       => 'auto',
		'choices'         => array(
			'alpha' => true,
		),
		'output'          => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form .search-submit',
				'property' => 'background-color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'           => esc_html__( 'Sticky Border', 'eronex' ),
		'settings'        => 'eronex_sticky_search_toggle_border_color',
		'section'         => 'eronex_header_search',
		'default'         => '',
		'transport'       => 'auto',
		'choices'         => array(
			'alpha' => true,
		),
		'output'          => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form .search-submit',
				'property' => 'border-color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Icon Color', 'eronex' ),
		'settings'  => 'eronex_search_toggle_hover_color',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form .search-submit:hover i,.eronex-header-search .search-form .search-submit:focus i',
				'property' => 'color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Background Color', 'eronex' ),
		'settings'  => 'eronex_search_toggle_hover_bg',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form .search-submit:hover,.eronex-header-search .search-form .search-submit:focus',
				'property' => 'background-color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Border Color', 'eronex' ),
		'settings'  => 'eronex_search_toggle_hover_border',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form .search-submit:hover,.eronex-header-search .search-form .search-submit:focus',
				'property' => 'border-color',
			),
		),
	)
);

new Color(
	array(
		'label'           => esc_html__( 'Sticky Color', 'eronex' ),
		'settings'        => 'eronex_sticky_search_toggle_hover_color',
		'section'         => 'eronex_header_search',
		'default'         => '',
		'transport'       => 'auto',
		'choices'         => array(
			'alpha' => true,
		),
		'output'          => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form .search-submit:hover i,header.eronex-appear .eronex-header-search .search-form .search-submit:focus i',
				'property' => 'color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'           => esc_html__( 'Sticky Background', 'eronex' ),
		'settings'        => 'eronex_sticky_search_toggle_hover_bg',
		'section'         => 'eronex_header_search',
		'default'         => '',
		'transport'       => 'auto',
		'choices'         => array(
			'alpha' => true,
		),
		'output'          => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form .search-submit:hover,header.eronex-appear .eronex-header-search .search-form .search-submit:focus',
				'property' => 'background-color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'           => esc_html__( 'Sticky Border', 'eronex' ),
		'settings'        => 'eronex_sticky_search_toggle_hover_border',
		'section'         => 'eronex_header_search',
		'default'         => '',
		'transport'       => 'auto',
		'choices'         => array(
			'alpha' => true,
		),
		'output'          => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form .search-submit:hover,header.eronex-appear .eronex-header-search .search-form .search-submit:focus',
				'property' => 'border-color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Divider(
	array(
		'settings' => 'eronex_search_toggle_border_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	)
);

new Dimensions(
	array(
		'label'      => esc_html__( 'Toggle Border', 'eronex' ),
		'settings'   => 'eronex_search_toggle_border',
		'section'    => 'eronex_header_search',
		'default'    => array(
			'mobile'  => array(
				'border-top-width'    => '',
				'border-right-width'  => '',
				'border-bottom-width' => '',
				'border-left-width'   => '',
			),
			'tablet'  => array(
				'border-top-width'    => '',
				'border-right-width'  => '',
				'border-bottom-width' => '',
				'border-left-width'   => '',
			),
			'desktop' => array(
				'border-top-width'    => '',
				'border-right-width'  => '',
				'border-bottom-width' => '',
				'border-left-width'   => '',

			),
		),
		'choices'    => array(
			'labels' => array(
				'border-top-width'    => esc_html__( 'Top', 'eronex' ),
				'border-right-width'  => esc_html__( 'Right', 'eronex' ),
				'border-bottom-width' => esc_html__( 'Bottom', 'eronex' ),
				'border-left-width'   => esc_html__( 'Left', 'eronex' ),
			),
		),
		'output'     => array(
			array(
				'element'     => '.eronex-header-search .search-form .search-submit',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
		),
		'transport'  => 'auto',
		'responsive' => true,
	)
);

new Divider(
	array(
		'settings' => 'eronex_search_toggle_radius_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	)
);

new Dimensions(
	array(
		'label'      => esc_html__( 'Toggle Radius', 'eronex' ),
		'settings'   => 'eronex_search_toggle_radius',
		'section'    => 'eronex_header_search',
		'default'    => array(
			'mobile'  => array(
				'border-top-left-radius'     => '',
				'border-top-right-radius'    => '',
				'border-bottom-left-radius'  => '',
				'border-bottom-right-radius' => '',
			),
			'tablet'  => array(
				'border-top-left-radius'     => '',
				'border-top-right-radius'    => '',
				'border-bottom-left-radius'  => '',
				'border-bottom-right-radius' => '',
			),
			'desktop' => array(
				'border-top-left-radius'     => '',
				'border-top-right-radius'    => '',
				'border-bottom-left-radius'  => '',
				'border-bottom-right-radius' => '',

			),
		),
		'choices'    => array(
			'labels' => array(
				'border-top-left-radius'     => esc_html__( 'Top', 'eronex' ),
				'border-top-right-radius'    => esc_html__( 'Right', 'eronex' ),
				'border-bottom-left-radius'  => esc_html__( 'Bottom', 'eronex' ),
				'border-bottom-right-radius' => esc_html__( 'Left', 'eronex' ),
			),
		),
		'output'     => array(
			array(
				'element'     => '.eronex-header-search .search-form .search-submit',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
		),
		'transport'  => 'auto',
		'responsive' => true,
	)
);

new Divider(
	array(
		'settings' => 'eronex_header_search_input_width_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	),
);

new Dimension(
	array(
		'label'      => esc_html__( 'Input With', 'eronex' ),
		'settings'   => 'eronex_header_search_input_width',
		'section'    => 'eronex_header_search',
		'transport'  => 'auto',
		'responsive' => true,
		'default'    => array(
			'desktop' => '',
			'tablet'  => '',
			'mobile'  => '',
		),
		'output'     => array(
			array(
				'element'     => '.eronex-search-expand .eronex-header-search > .search-form label',
				'property'    => 'width',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
		),
	)
);

new Divider(
	array(
		'settings' => 'eronex_header_search_input_height_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	),
);

new Dimension(
	array(
		'label'      => esc_html__( 'Input Height', 'eronex' ),
		'settings'   => 'eronex_header_search_input_height',
		'section'    => 'eronex_header_search',
		'transport'  => 'auto',
		'responsive' => true,
		'default'    => array(
			'desktop' => '',
			'tablet'  => '',
			'mobile'  => '',
		),
		'output'     => array(
			array(
				'element'     => '.eronex-header-search .search-form label',
				'property'    => 'height',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
		),
	)
);

new Divider(
	array(
		'settings' => 'eronex_header_search_input_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	),
);

new Dimensions(
	array(
		'label'       => esc_html__( 'Font Size', 'eronex' ),
		'settings'    => 'eronex_header_search_input_font_size',
		'section'     => 'eronex_header_search',
		'default'     => array(
			'mobile'  => array(
				'font-size'   => '',
				'line-height' => '',
			),
			'tablet'  => array(
				'font-size'   => '',
				'line-height' => '',
			),
			'desktop' => array(
				'font-size'   => '',
				'line-height' => '',

			),
		),
		'choices'     => array(
			'labels' => array(
				'font-size'   => esc_html__( 'Font Size', 'eronex' ),
				'line-height' => esc_html__( 'Line Height', 'eronex' ),
			),
		),
		'output'      => array(
			array(
				'element'     => '.eronex-header-search .search-form label,.eronex-header-search .search-form input',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
		),
		'transport'   => 'auto',
		'responsive'  => true,
	)
);

new Divider(
	array(
		'settings' => 'eronex_search_input_colors_tab_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	),
);

new Radio_Buttonset(
	array(
		'label'     => esc_html__( 'Input Colors', 'eronex' ),
		'settings'  => 'eronex_search_input_colors_tab',
		'section'   => 'eronex_header_search',
		'default'   => 'normal',
		'transport' => 'auto',
		'choices'   => array(
			'normal' => esc_html__( 'Normal', 'eronex' ),
			'focus'  => esc_html__( 'Focus', 'eronex' ),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Text Color', 'eronex' ),
		'settings'  => 'eronex_search_input_color',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form input,.eronex-header-search .search-form label:before',
				'property' => 'color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Background Color', 'eronex' ),
		'settings'  => 'eronex_search_input_bg',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form input',
				'property' => 'background-color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Border Color', 'eronex' ),
		'settings'  => 'eronex_search_input_border_color',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form input',
				'property' => 'border-color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Sticky Color', 'eronex' ),
		'settings'  => 'eronex_sticky_search_input_color',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form input,header.eronex-appear .eronex-header-search .search-form label:before',
				'property' => 'color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Sticky Background', 'eronex' ),
		'settings'  => 'eronex_sticky_search_input_bg',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form input',
				'property' => 'background-color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Sticky Border', 'eronex' ),
		'settings'  => 'eronex_sticky_search_input_border_color',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form input',
				'property' => 'border-color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Text Color', 'eronex' ),
		'settings'  => 'eronex_search_input_focus_color',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form input:focus,.eronex-header-search .search-form:has(input:focus) label:before',
				'property' => 'color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Background Color', 'eronex' ),
		'settings'  => 'eronex_search_input_focus_bg',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form input:focus',
				'property' => 'background-color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Border Color', 'eronex' ),
		'settings'  => 'eronex_search_input_focus_border',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => '.eronex-header-search .search-form input:focus',
				'property' => 'border-color',
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Sticky Color', 'eronex' ),
		'settings'  => 'eronex_sticky_search_input_focus_color',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form input:focus,header.eronex-appear .eronex-header-search .search-form:has(input:focus) label:before',
				'property' => 'color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Sticky Background', 'eronex' ),
		'settings'  => 'eronex_sticky_search_input_focus_bg',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form input:focus',
				'property' => 'background-color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Color(
	array(
		'label'     => esc_html__( 'Sticky Border', 'eronex' ),
		'settings'  => 'eronex_sticky_search_input_focus_border',
		'section'   => 'eronex_header_search',
		'default'   => '',
		'transport' => 'auto',
		'choices'   => array(
			'alpha' => true,
		),
		'output'    => array(
			array(
				'element'  => 'header.eronex-appear .eronex-header-search .search-form input:focus',
				'property' => 'border-color',
			),
		),
		'active_callback' => array(
			array(
				'setting'  => 'eronex_header_sticky',
				'operator' => '===',
				'value'    => true,
			),
		),
	)
);

new Divider(
	array(
		'settings' => 'eronex_search_input_border_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	)
);

new Dimensions(
	array(
		'settings'   => 'eronex_search_input_border',
		'label'      => esc_html__( 'Input Border', 'eronex' ),
		'section'    => 'eronex_header_search',
		'default'    => array(
			'mobile'  => array(
				'border-top-width'    => '',
				'border-right-width'  => '',
				'border-bottom-width' => '',
				'border-left-width'   => '',
			),
			'tablet'  => array(
				'border-top-width'    => '',
				'border-right-width'  => '',
				'border-bottom-width' => '',
				'border-left-width'   => '',
			),
			'desktop' => array(
				'border-top-width'    => '',
				'border-right-width'  => '',
				'border-bottom-width' => '',
				'border-left-width'   => '',

			),
		),
		'choices'    => array(
			'labels' => array(
				'border-top-width'    => esc_html__( 'Top', 'eronex' ),
				'border-right-width'  => esc_html__( 'Right', 'eronex' ),
				'border-bottom-width' => esc_html__( 'Bottom', 'eronex' ),
				'border-left-width'   => esc_html__( 'Left', 'eronex' ),
			),
		),
		'output'     => array(
			array(
				'element'     => '.eronex-header-search .search-form input',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
		),
		'transport'  => 'auto',
		'responsive' => true,
	)
);

new Divider(
	array(
		'settings' => 'eronex_search_input_radius_separator',
		'section'  => 'eronex_header_search',
		'choices'  => array(
			'color' => $separator_color,
		),
	)
);

new Dimensions(
	array(
		'settings'   => 'eronex_search_input_radius',
		'label'      => esc_html__( 'Input Radius', 'eronex' ),
		'section'    => 'eronex_header_search',
		'default'    => array(
			'mobile'  => array(
				'border-top-left-radius'     => '',
				'border-top-right-radius'    => '',
				'border-bottom-left-radius'  => '',
				'border-bottom-right-radius' => '',
			),
			'tablet'  => array(
				'border-top-left-radius'     => '',
				'border-top-right-radius'    => '',
				'border-bottom-left-radius'  => '',
				'border-bottom-right-radius' => '',
			),
			'desktop' => array(
				'border-top-left-radius'     => '',
				'border-top-right-radius'    => '',
				'border-bottom-left-radius'  => '',
				'border-bottom-right-radius' => '',
			),
		),
		'choices'    => array(
			'labels' => array(
				'border-top-left-radius'     => esc_html__( 'Top', 'eronex' ),
				'border-top-right-radius'    => esc_html__( 'Right', 'eronex' ),
				'border-bottom-left-radius'  => esc_html__( 'Bottom', 'eronex' ),
				'border-bottom-right-radius' => esc_html__( 'Left', 'eronex' ),
			),
		),
		'output'     => array(
			array(
				'element'     => '.eronex-header-search .search-form input',
				'media_query' => array(
					'desktop' => $desktop_media_query,
					'tablet'  => $tablet_media_query,
					'mobile'  => $mobile_media_query,
				),
			),
		),
		'transport'  => 'auto',
		'responsive' => true,
	)
);
